{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Internal Marks
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                My Internal Marks
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in list_of_courses %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_course == course.pk %} class="active" {% else %}
                                                                      class="" {% endif %}>
                                <a aria-expanded="true"
                                   id="{{ course.pk }}"
                                   data-toggle="tab" name="course_tab">
                                    {% if course.code %}
                                        {{ course.code }}
                                    {% else %}
                                        {{ course.course_id }}
                                    {% endif %}
                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_course == course.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id="{{ course.pk }}"
                                   data-toggle="tab" name="course_tab">
                                    {% if course.code %}
                                        {{ course.code }}
                                    {% else %}
                                        {{ course.course_id }}
                                    {% endif %}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form method="POST">{% csrf_token %}
            <div class="row">

            </div>
            {% if internal_marks_data.internal_mark_instance %}
                {% if staff_course_instance.course.subject_type == "P" %}
                        <div class="col-md-6 col-sm-8 col-md-offset-3 col-sm-offset-2">
                        <table class="table table-bordered table-striped">
                            <tbody>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">MODALS
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.modalMarks >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.modalMarks }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">RECORD
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.recordMarks >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.recordMarks }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">ATTENDANCE
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                        {{ internal_marks_data.attendance_mark }}
                                </td>
                            </tr>
                            <tr>
                                <td class="danger"
                                    align="center"
                                    style="font-weight: bold">FINAL INTERNAL MARK
                                </td>
                                <td class="danger"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ internal_marks_data.final_assesment_mark }}
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        </div>
                {% else %}
                    <div class="col-md-6 col-sm-8 col-md-offset-3 col-sm-offset-2">
                        <table class="table table-bordered table-striped">
                            <tbody>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">UNIT TEST 1
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ut1 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ut1 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">UNIT TEST 2
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ut2 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ut2 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">UNIT TEST 3
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ut3 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ut3 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">Re-UT
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ internal_marks_data.internal_mark_instance.reut }}
                                </td>
                            </tr>
                            <tr>
                                <td class="warning"
                                    align="center"
                                    style="font-weight: bold">TOTAL UT MARK
                                </td>
                                <td class="warning"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ internal_marks_data.total_internal_marks }}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">ASSIGNMENT 1
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ass1 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ass1 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">ASSIGNMENT 2
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ass2 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ass2 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">ASSIGNMENT 3
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {% if internal_marks_data.internal_mark_instance.ass3 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.ass3 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                </td>
                            </tr>

                            <tr>
                                <td class="warning"
                                    align="center"
                                    style="font-weight: bold">TOTAL ASSIGNMENT MARK
                                </td>
                                <td class="warning"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ internal_marks_data.total_assignment_marks }}
                                </td>
                            </tr>
                            {% if student_instance.batch.regulation.start_year >= 2016 %}
                                <tr>
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">TUTORIAL / QUIZ 1
                                    </td>
                                    <td class="success"
                                        align="center"
                                        style="font-weight: bold">
                                        {% if internal_marks_data.internal_mark_instance.tutorial_or_quiz_1 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.tutorial_or_quiz_1 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">TUTORIAL / QUIZ 2
                                    </td>
                                    <td class="success"
                                        align="center"
                                        style="font-weight: bold">
                                        {% if internal_marks_data.internal_mark_instance.tutorial_or_quiz_2 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.tutorial_or_quiz_2 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">TUTORIAL / QUIZ 3
                                    </td>
                                    <td class="success"
                                        align="center"
                                        style="font-weight: bold">
                                        {% if internal_marks_data.internal_mark_instance.tutorial_or_quiz_3 >= 0 %}
                                        {{ internal_marks_data.internal_mark_instance.tutorial_or_quiz_3 }}
                                    {% else %}
                                        AB
                                    {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="warning"
                                        align="center"
                                        style="font-weight: bold">TOTAL TUTORIAL/QUIZ MARK
                                    </td>
                                    <td class="warning"
                                        align="center"
                                        style="font-weight: bold">
                                        {{ internal_marks_data.total_tutorial_or_quiz_marks }}
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">ATTENDANCE
                                    </td>
                                    <td class="success"
                                        align="center"
                                        style="font-weight: bold">{{ internal_marks_data.attendance_mark }}</td>
                                </tr>
                            {% endif %}

                            <tr>
                                <td class="danger"
                                    align="center"
                                    style="font-weight: bold">FINAL INTERNAL MARK
                                </td>
                                <td class="danger"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ internal_marks_data.final_assesment_mark }}
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                {% endif %}
                {% if  internal_marks_data.student_approved_status == False %}
                    <div class="col-md-6 col-sm-8 col-md-offset-3 col-sm-offset-2">
                        <div id="id_confirm_buttons">
                            <div class="col-sm-2 col-sm-offset-2">
                                <button type="submit" class="save btn btn-lg btn-warning" id="give_feedback">Give Feedback
                                </button>
                            </div>
                            <div class="col-sm-2 col-sm-offset-2">
                                <form>
                                    <button type="submit" class="save btn btn-lg btn-success" id="approve_my_marks">Approve my Marks
                                    </button>
                                </form>
                            </div>

                        </div>
                    </div>
                {% endif %}
            {% endif %}
        </form>
    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_tab'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
            $('#give_feedback').click(function () {
                window.open('{% url 'doFeedback' %}');
            });
            $('#approve_my_marks').click(function (e) {
                console.log('inside call');
                e.preventDefault();
                if(confirm("This is going to be your final internal marks. Are you sure to approve?") == true) {
                        $.ajax({
                            type: "POST",
                            data: {
                                staff_course_pk: '{{ staff_course_instance.pk }}',
                                approve : true,
                                csrfmiddlewaretoken: getCookie('csrftoken'),
                            },
                            url: '{% url 'approve_internal_marks' %}',
                            success: function (data) {
                                if (data['message'] == "success") {
                                    alert("Your internal marks is approved");
                                    $("#id_confirm_buttons").hide();
                                    return;
                                }
                                alert(data['message']);
                            }
                        });
                }
            });
        });

    </script>

{% endblock %}